/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../../libs.h"
#include "../../../poker/actions/flop.h"
#include "../../../poker/turn.h"
#include "../../../poker/bet.h"
#include "../pokerdiscussion.h"
#include "action.h"
#include "restack.h"
#include "winner.h"
#include "bet.h"

/**
 * Queues a flop action on to the queue.
 * 
 * @param game Game to queue on to.
 * @return queueaction_t* 
 */
queueaction_t * pokerGameActionFlopAdd(pokergame_t *game);